/* these are necessary styles for vue flow */
@import "@vue-flow/core/dist/style.css";
@import "@vue-flow/controls/dist/style.css";
@import "@vue-flow/minimap/dist/style.css";

/* this contains the default theme, these are optional styles */
@import "@vue-flow/core/dist/theme-default.css";

.vue-flow__handle {
  width: 10px;
  height: 10px;
  background: $white;
  border: 1px solid $black;
  border-radius: 100%;

  &.is-not-connected {
    border: 1px solid $danger;
  }
}

.vue-flow__handle-left {
  top: 35px;
  left: -5px;
  transform: none;
}

.vue-flow__edge {
  .vue-flow__edge-path {
    stroke: $dark;
    stroke-width: 2;
  }

  &.animated {
    .vue-flow__edge-path {
      stroke-width: 3;
    }
  }
}
